tbb::internal::scheduler Class Referenceabstract

`#include <task.h>`

Inheritance diagram for tbb::internal::scheduler:
Collaboration diagram for tbb::internal::scheduler:

## Public Member Functions

virtual void | spawn (task &first, task *&next)=0
| For internal use only. More...
virtual void | wait_for_all (task &parent, task *child)=0
| For internal use only. More...
virtual void | spawn_root_and_wait (task &first, task *&next)=0
| For internal use only. More...
virtual | ~scheduler ()=0
| Pure virtual destructor;. More...
virtual void | enqueue (task &t, void *reserved)=0
| For internal use only. More...

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Definition at line 99 of file task.h.

## Constructor & Destructor Documentation

## ~scheduler()

tbb::internal::scheduler::~scheduler | ( |  | ) |

pure virtual

Pure virtual destructor;.

Definition at line 72 of file scheduler.cpp.

{}

## Member Function Documentation

## enqueue()

virtual void tbb::internal::scheduler::enqueue | ( | task & | t,
|  | void * | reserved
| ) |  |

pure virtual

For internal use only.

Implemented in tbb::internal::generic_scheduler.

Referenced by tbb::task::enqueue().

Here is the caller graph for this function:

## spawn()

virtual void tbb::internal::scheduler::spawn | ( | task & | first,
|  | task *& | next
| ) |  |

pure virtual

For internal use only.

Implemented in tbb::internal::generic_scheduler.

Referenced by tbb::interface5::internal::task_base::spawn().

Here is the caller graph for this function:

## spawn_root_and_wait()

virtual void tbb::internal::scheduler::spawn_root_and_wait | ( | task & | first,
|  | task *& | next
| ) |  |

pure virtual

For internal use only.

Implemented in tbb::internal::generic_scheduler.

Referenced by tbb::task::spawn_root_and_wait().

Here is the caller graph for this function:

## wait_for_all()

virtual void tbb::internal::scheduler::wait_for_all | ( | task & | parent,
|  | task * | child
| ) |  |

pure virtual

For internal use only.

Implemented in tbb::internal::custom_scheduler< SchedulerTraits >.

Referenced by tbb::task::spawn_and_wait_for_all(), and tbb::task::wait_for_all().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- task.h
- scheduler.cpp

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.